using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using nft.contributions.graphics;
using nft.framework.plugin;
using nft.core.structure;

namespace nft.ui.core {
    public partial class BuildTool : UserControl {
        public BuildTool() {
            InitializeComponent();
            LoadCatalog();
        }

        protected void LoadCatalog(){
            VContributionId idCatalog = new VContributionId(VPluginId.System, "C_StructureSkinCatalog");
            CtbStructureSkinCatalog ctb = PluginManager.theInstance.GetContribution(idCatalog) as CtbStructureSkinCatalog;

            SkinCatalog catalog = ctb.Catalog;
        }
    }
}
